Draft Text/sv: Difference between revisions

From FreeCAD Documentation
(page)
 
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand/sv|Name=Draft_Text|Workbenches=[[Draft Module/sv|Skiss]]|MenuLocation=Draft -> Text}}
{{GuiCommand|Name=Draft_Text|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Text|Shortcut=T E}}


====Beskrivning====
==Description==
The Text tool inserts a piece of text at a given point in the current document. It takes the [[Draft Linestyle|text size and color]] previously set on the Tasks tab.


[[Image:Draft_Text_example.jpg|400px]]
Detta verktyg ber användaren om en placeringspunkt, sedan kan text matas in i en textlåda.


==How to use==
[[Image:Draft_Text_example.jpg]]
# Press the {{KEY|[[Image:Draft Text.png|16px]] [[Draft Text]]}} button, or press {{KEY|T}} then {{KEY|E}} keys
# Click a point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Enter the desired text, pressing {{KEY|ENTER}} between each line
# Press {{KEY|ENTER}} twice to finish the operation.


====Bruk====
==Options==


* Pressing {{KEY|CTRL}} will [[Draft_Snap|snap]] your point to available snap locations.
* Markera punkter i ett tomt område i 3d vyn, eller på ett existerande objekt.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* Nedtryckning av {{KEY|CTRL}} kommer att [[Draft_Snap/sv|snäppa]] din punkt till tillgängliga snäpp-punkter.
* Pressing {{KEY|ESC}} will cancel the operation.
* Skriv in siffror för att [[Draft_Coordinates/sv|manuellt mata in en koordinat]].
* When editing the text, pressing {{KEY|ENTER}} or {{KEY|DOWN ARROW}} allow you to enter or edit a next line of text.
* Om du trycker på {{KEY|ESC}} så avbryts funktionen.
* Pressing {{KEY|UP ARROW}} allows you to edit a previous line of text.
* Den skapade texten kommer att ha nuvarande [[Draft_Linestyle/sv|linjestil]].
* Pressing {{KEY|ENTER}} '''twice''' (thus leaving the last line empty) adds the text to the document and closes the editor.
* När du redigerar texten, så kommer en nedtryckning av {{KEY|ENTER}} eller {{KEY|NEDPIL}} tillåta dig redigera en ne textrad.
* Nedtryckning av {{KEY|UPPIL}} tillåter dig att redigera föregående textrad.
* Nedtryckning av {{KEY|ENTER}} '''tå gånger''' (d.v.s. lämna den sista raden tom) adderar texten till dokumentet och stänger redigeraren.


==Properties==
{{languages/sv | {{en|Draft Text}} {{es|Draft Text/es}} {{fr|Draft Text/fr}} }}
* {{PropertyData|Position}}: The base point of the text block
* {{PropertyData|Label Text}}: The contents of the text block
* {{PropertyView|Display Mode}}: Specifies if the text is aligned to the scene axes or always faces the camera
* {{PropertyView|Font Size}}: The size of the letters
* {{PropertyView|Justification}}: Specifies if the text is aligned to the left, right or center of the base point.
* {{PropertyView|Line Spacing}}: Specifies the space between lines of text
* {{PropertyView|Rotation}}: Specifies a rotation to be applied to the text
* {{PropertyView|Rotation Axis}}: Specifies the axis to use for the rotation
* {{PropertyView|Font Name}}: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.

==Scripting==
The Text tool can by used in [[macros]] and from the python console by using the following function:
<syntaxhighlight>
'''makeText (string or list, [Vector], [screenmode])'''
</syntaxhighlight>
* Creates a Text object, at the given point if a vector is provided, containing the string or the strings given in the list, one string by line. * The current Draft color and text height and font specified in preferences are used.
* If screenmode is True, the text always faces the view direction, otherwise it lies on the XY plane.
* Returns the newly created object.

Example:
<syntaxhighlight>
import FreeCAD,Draft
Draft.makeText("This is a sample text",FreeCAD.Vector(1,1,0))

</syntaxhighlight>
{{clear}}
<languages/>

Revision as of 21:40, 13 January 2014

Draft_Text

Menu location
Draft -> Text
Workbenches
Draft, Arch
Default shortcut
T E
Introduced in version
-
See also
None

Description

The Text tool inserts a piece of text at a given point in the current document. It takes the text size and color previously set on the Tasks tab.

How to use

  1. Press the Draft Text button, or press T then E keys
  2. Click a point on the 3D view, or type a coordinate
  3. Enter the desired text, pressing ENTER between each line
  4. Press ENTER twice to finish the operation.

Options

  • Pressing CTRL will snap your point to available snap locations.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Pressing ESC will cancel the operation.
  • When editing the text, pressing ENTER or DOWN ARROW allow you to enter or edit a next line of text.
  • Pressing UP ARROW allows you to edit a previous line of text.
  • Pressing ENTER twice (thus leaving the last line empty) adds the text to the document and closes the editor.

Properties

  • DataPosition: The base point of the text block
  • DataLabel Text: The contents of the text block
  • VyDisplay Mode: Specifies if the text is aligned to the scene axes or always faces the camera
  • VyFont Size: The size of the letters
  • VyJustification: Specifies if the text is aligned to the left, right or center of the base point.
  • VyLine Spacing: Specifies the space between lines of text
  • VyRotation: Specifies a rotation to be applied to the text
  • VyRotation Axis: Specifies the axis to use for the rotation
  • VyFont Name: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.

Scripting

The Text tool can by used in macros and from the python console by using the following function:

 '''makeText (string or list, [Vector], [screenmode])'''
  • Creates a Text object, at the given point if a vector is provided, containing the string or the strings given in the list, one string by line. * The current Draft color and text height and font specified in preferences are used.
  • If screenmode is True, the text always faces the view direction, otherwise it lies on the XY plane.
  • Returns the newly created object.

Example:

 import FreeCAD,Draft
 Draft.makeText("This is a sample text",FreeCAD.Vector(1,1,0))